RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 2060044 - PSK ciphersuites at SECLEVEL=3
Summary: PSK ciphersuites at SECLEVEL=3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 9
Classification: Red Hat
Component: openssl
Version: 9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Dmitry Belyavskiy
QA Contact: Hubert Kario
Jan Fiala
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-03-02 15:15 UTC by Dmitry Belyavskiy
Modified: 2023-05-09 11:36 UTC (History)
3 users (show)

Fixed In Version: openssl-3.0.7-2.el9
Doc Type: Bug Fix
Doc Text:
.OpenSSL in `SECLEVEL=3` now works with PSK cipher suites Previously, pre-shared key (PSK) cipher suites were not recognized as performing perfect forward secrecy (PFS) key exchange methods. As a consequence, the `ECDHE-PSK` and `DHE-PSK` cipher suites did not work with OpenSSL configured to `SECLEVEL=3`, for example, when the system-wide cryptographic policy was set to `FUTURE`. The new version of the `openssl` package fixes this problem.
Clone Of:
Environment:
Last Closed: 2023-05-09 08:20:36 UTC
Type: Bug
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openssl openssl pull 17763 0 None Closed Tree/Table crashes when resizing column to width 0 on GTK 3.22.30 2022-05-02 14:17:22 UTC
Red Hat Issue Tracker CRYPTO-7268 0 None None None 2022-05-18 13:34:51 UTC
Red Hat Issue Tracker RHELPLAN-114244 0 None None None 2022-03-02 15:24:28 UTC
Red Hat Product Errata RHSA-2023:2523 0 None None None 2023-05-09 08:20:52 UTC

Description Dmitry Belyavskiy 2022-03-02 15:15:43 UTC
Follow-up to https://bugzilla.redhat.com/show_bug.cgi?id=1973292

PSK ciphersuites should work at SECLEVEL=3

https://github.com/openssl/openssl/issues/17743 is the corresponding upstream issue.

Comment 5 Dmitry Belyavskiy 2022-11-28 09:33:10 UTC
Implemented as a part of rebase to 3.0.7 in 9.2

Comment 13 errata-xmlrpc 2023-05-09 08:20:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Low: openssl security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2023:2523


Note You need to log in before you can comment on or make changes to this bug.